/*
* IceBreaker
* Copyright (c) 2000-2002 Matthew Miller <mattdm@mattdm.org> 
*   http://www.mattdm.org/
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 2 of the License, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc., 59
* Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*/

#ifndef LEVEL_H
#define LEVEL_H

typedef enum { ERROR, PASS, DEAD, QUIT } LevelExitType;

typedef struct
{
	int basescore;
	int clearbonus;
	int lifebonus;
} ScoreSheet;


extern LevelExitType playlevel(int level, long oldscore, ScoreSheet * score);

// FIX FIX FIX -- the following shouldn't be globals, but it's really hard
// to do things like switch themes on the fly cleanly without OO. Game
// should be converted to C++.

extern Line line1;
extern Line line2;

extern Penguin flock[MAXPENGUINS];
extern int penguincount;

extern int lives;
extern long score;
extern int clear;


#endif /* LEVEL_H */
